#version 330 core

in vec3 UV;
out vec4 ocolor;
in float shadowcoef;
uniform sampler2D partikle;
uniform int shadowconstant;

void main() {
	ocolor = texture(partikle, UV.xy);
	ocolor.a = ocolor.a * 0.1;
	ocolor.rgb *= vec3(shadowcoef);
	return;
	if (shadowconstant == 1) {
		ocolor = texture(partikle, UV.xy);
		ocolor.a = ocolor.a * 0.1;
		ocolor.rgb = vec3(shadowcoef);
	} else {
		ocolor = vec4(1.0);
		ocolor.rgb = vec3(shadowcoef);
	}
		//ocolor = vec4(1.0);
}
